Viewing Requirements | VIP TOUR

Frames A Frames-enabled browser (version 3.0+) is required for this tour.
Java Make sure that both Java and JavaScript are enabled in your browser's preferences or options menu.
Get Shockwave! You will need to have the Shockwave plug-in for many of the pieces on the tour.
Open the window! Enlarge your browser window to its tallest dimension for optimal viewing.
Listen You will encounter some audio along the way, so make sure your speakers are on.


<Back Begin Tour>